Bug 233436 - Garmin USB GPS not detected
Garmin USB GPS not detected
Product: Fedora
Classification: Fedora
Component: gpsd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-03-22 10:09 EDT by Nick Lamb
Modified: 2008-05-06 15:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Lamb 2007-03-22 10:09:39 EDT
Description of problem:

Garmin USB GPS not detected

Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. Plug in one of Garmin's new USB GPS units e.g. the GPS18
2. Wait for gpsd to be automatically started
Actual results:

gpsd isn't started

Expected results:

gpsd should be started and begin collecting data from the GPS

Additional info:

This isn't bug 219750 although of course you need to fix that one first. Instead
this is because Garmin's USB vendor ID is amazingly not included in the list of
USB serial devices that are actually connected to a GPS.

Once bug 219750 is fixed, the appropriate hotplug matching should be added, the
device I've seen has vendorID 091e and productID 0003 but it seems sensible to
consider adding any serial devices with vendorID 091e (Garmin) because any USB
serial device from Garmin is likely to be a GPS.
Comment 1 Bug Zapper 2008-04-04 02:37:35 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:23:46 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.